manyseries_to_wordbag {jmotif} | R Documentation

## Converts a set of time-series into a single bag of words.

### Description

Converts a set of time-series into a single bag of words.

### Usage

    manyseries_to_wordbag(data, w_size, paa_size, a_size, nr_strategy, n_threshold)

### Arguments

`data` | the timeseries data, row-wise.
`w_size` | the sliding window size.
`paa_size` | the PAA size.
`a_size` | the alphabet size.
`nr_strategy` | the NR strategy.
`n_threshold` | the normalization threshold.

### References

Senin Pavel and Malinchik Sergey, SAX-VSM: Interpretable Time Series Classification Using SAX and Vector Space Model. Data Mining (ICDM), 2013 IEEE 13th International Conference on, pp.1175,1180, 7-10 Dec. 2013.

Salton, G., Wong, A., Yang., C., A vector space model for automatic indexing. Commun. ACM 18, 11, 613-620, 1975.

[Package jmotif version 1.0.3 Index]